/* ===== 全体 ===== */

body{
    margin:0;
    font-family:"Zen Maru Gothic",sans-serif;

    background:linear-gradient(
        180deg,
        #fffdef,
        #ffe19c
    );

    min-height:100vh;
    overflow-x:hidden;
}

/* ===== コンテンツ ===== */

.container{

    min-height:100vh;

    display:flex;
    flex-direction:column;

    justify-content:center;
    align-items:center;

    text-align:center;

    padding:20px;
}

/* ===== タイトル ===== */

.title{

    font-size:52px;

    background:linear-gradient(
        90deg,
        #ecc762,
        #c0a082
    );

    -webkit-background-clip:text;
    -webkit-text-fill-color:transparent;
}

.subtitle{

    color:#777;
    margin-bottom:30px;

    line-height:1.8;
}

/* ===== ボタン ===== */

.button-group{

    width:100%;
    max-width:400px;

    display:flex;
    flex-direction:column;

    gap:16px;
}

.action-btn{

    border:none;

    background:white;

    padding:18px;

    border-radius:18px;

    font-size:16px;
    font-weight:600;

    cursor:pointer;

    color:#e8a56a;

    box-shadow:
    0 8px 20px rgba(0,0,0,.08);

    transition:.3s;
}

.action-btn:hover{

    transform:translateY(-3px);
}

/* ===== プレビュー ===== */

.preview-box{

    margin-top:30px;
}

#previewImage{

    display:none;

    width:320px;
    max-width:90vw;

    border-radius:20px;

    box-shadow:
    0 10px 25px rgba(0,0,0,.12);
}

/* ===== OK ===== */

.ok-btn{

    display:none;

    margin-top:30px;

    border:none;

    background:#e86aa6;

    color:white;

    padding:14px 45px;

    border-radius:999px;

    font-size:16px;
    font-weight:bold;

    cursor:pointer;

    box-shadow:
    0 8px 20px rgba(232,106,166,.25);

    transition:.3s;
}

.ok-btn:hover{

    background:#ff86ba;
}

/* ===== メニューボタン ===== */

#menuBtn{

    position:fixed;

    top:25px;
    left:50%;

    transform:translateX(-50%);

    width:55px;
    height:55px;

    border-radius:50%;

    background:rgba(255,255,255,.75);

    backdrop-filter:blur(10px);

    display:flex;

    justify-content:center;
    align-items:center;

    font-size:28px;

    color:#e8a56a;

    cursor:pointer;

    z-index:100;

    box-shadow:
    0 8px 20px rgba(0,0,0,.08);
}

/* ===== メニュー ===== */

.menu{

    display:none;

    position:fixed;

    top:95px;
    left:50%;

    transform:translateX(-50%);

    background:
    rgba(255,255,255,.95);

    padding:12px;

    border-radius:18px;

    backdrop-filter:blur(8px);

    box-shadow:
    0 6px 18px rgba(0,0,0,.12);

    z-index:100;
}

.menu.show{
    display:block;
}

.menu a{

    display:block;

    text-decoration:none;

    color:#e8a56a;

    font-weight:bold;

    padding:10px 18px;

    border-radius:10px;
}

.menu a:hover{

    background:#fff0f6;
}

/* ===== スマホ ===== */

@media(max-width:768px){

    .title{
        font-size:38px;
    }

    .action-btn{
        font-size:15px;
    }

    #previewImage{
        width:90%;
    }
}